<p align="right">
  <img src="http://forthebadge.com/images/badges/built-with-love.svg">
  <img src="http://forthebadge.com/images/badges/for-you.svg">
</p>

<p align="center">
  <a href="https://gitea.ocram85.com/renovate-bot/config/">
    <img
      src="./assets/social-logo.png"
      alt="config"
    >
  </a>
</p>

<h1 align="center">
Local Renovate-Bot Config
</h1>

<p align="center">
Renovate-bot instance and preset config
</p>

<p align="center">
  <a href="https://ci.ocram85.com/renovate-bot/config">
    <img src="https://ci.ocram85.com/api/badges/renovate-bot/config/status.svg" alt="Main Branch Build Status">
  </a>
</p>

## 📖 General

![setup](assets/setup.excalidraw.png)

This repository contains the definition for local the local renovate-bot instance.
Dependency updates will be checked weekly and executed as woodpecker cron job.

|                      Config file | Description                                                                     |
| -------------------------------: | ------------------------------------------------------------------------------- |
|         [`config.js`](config.js) | Platform relevant config for local instance.                                    |
|   [`default.json`](default.json) | Local preset for repos hosted by this Gitea instance.                           |
| [`renovate.json`](renovate.json) | Basic onboarding which can be copied. Also enables renovate on this repository. |

## Instance Setup

Renovate-bot runs containerized started by a Woodpecker-CI cron task. There are 2 pipelines defining the local
renovate instance:

### [lint](.woodpecker/lint.yml) Workflow

Tests all relevant config files and indicates open syntax migrations when needed.

### [renovate](.woodpecker/renovate.yml) Workflow

Defines a _dry-run_ and the actual _renovate_ prod step. _Dry-run_ runs on every push event and _renovate_ when triggered manually or by weekly cronjob.

### Repository Onboarding

1. First check if your Gitea account or organization is listed in the `autodiscoverFilter`.
2. Copy the [`renovate.json`](renovate.json) file for basic onboarding. Modify the file based on your project needs.
